Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.util
Class ReflectionHelper

    java.lang.Object
      org.hibernate.search.util.ReflectionHelper

    public abstract class ReflectionHelper

extends java.lang.Object

Author:
  Emmanuel Bernard, Hardy Ferentschik

Method Summary
`static java.lang.String` | `getAttributeName(org.hibernate.annotations.common.reflection.XMember member, java.lang.String name)` Get attribute name out of member unless overriden by `name`.
`static java.lang.Object` | `getMemberValue(java.lang.Object bean, org.hibernate.annotations.common.reflection.XMember getter)`
`static void` | `setAccessible(org.hibernate.annotations.common.reflection.XMember member)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttributeName

    public static java.lang.String getAttributeName(org.hibernate.annotations.common.reflection.XMember member,
                                                    java.lang.String name)

  Get attribute name out of member unless overriden by `name`.

  Parameters:
    `member` - `XMember` from which to extract the name.
    `name` - Override value which will be returned in case it is not empty.
  Returns:
    attribute name out of member unless overriden by `name`.

### setAccessible

    public static void setAccessible(org.hibernate.annotations.common.reflection.XMember member)

### getMemberValue

    public static java.lang.Object getMemberValue(java.lang.Object bean,
                                                  org.hibernate.annotations.common.reflection.XMember getter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.